import request from "@/utils/request2";

export default {
  // 检查员培训情况列表
  listTraining(query) {
    return request({
      url: "/inspectorTrain",
      method: "get",
      params: query,
    });
  },
  // 检查员培训情况添加
  addTraining(data) {
    return request({
      url: "/inspectorTrain",
      method: "post",
      data,
    });
  },
  // 检查员培训情况修改
  updateTraining(data) {
    return request({
      url: "/inspectorTrain",
      method: "put",
      data,
    });
  },
  // 检查员培训情况删除
  deleteTraining(e) {
    return request({
      url: `/inspectorTrain?idList=${e}`,
      method: "delete",
    });
  },
  // 检查员培训情况查询单个
  detailTraining(e) {
    return request({
      url: `/inspectorTrain/${e}`,
      method: "get",
    });
  },
  //导出
  exportMsg(e) {
    return request({
      url: `/inspectorTrain/export`,
      method: "get",
      params: e,
    });
  },
};
